%define upstream_name    Plack-Middleware-XForwardedFor
%define upstream_version 0.103060

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Plack middleware to handle X-Forwarded-For headers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Net::Netmask)
BuildRequires: perl(Plack)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(parent)
BuildArch: noarch

%description
'Plack::Middleware::XForwardedFor' will look for 'X-Forwarded-For' header
in the incomming request and change 'REMOTE_ADDR' to the real client IP

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml META.json SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.103.60-5pclos2017
- rebuild against updates

